@echo off
if %1.==. goto showhelp
if %2.==. goto showhelp
goto v_input

:showhelp
@echo The syntax of the FIX command is  FIX (drive letter) (directory structure)
@echo Example                           FIX      C               MWD
@echo Example                           FIX      C               MWW
@echo Example                           FIX      C               MWAVEOS2
@echo Re-run FIX with the correct syntax
goto endit

:v_input
if exist %1:\%2\MODEM\mnp.dsp goto mwd
if exist %1:\%2\MODEM\mnp.dsp goto mww
if exist %1:\%2\DSP\mnp.dsp goto mwaveos2
@echo The Mwave Modem does not exist in the location that was chosen.
@echo Verify that the drive and directory exist or that Mwave is installed.
goto endit

:mwd
ren          %1:\%2\modem\mnp.dsp mnp.old
ren          %1:\%2\modem\v42.dsp v42.old
copy mnp.dsp %1:\%2\modem
copy v42.dsp %1:\%2\modem
goto endit

:mww
ren          %1:\%2\modem\mnp.dsp mnp.old
ren          %1:\%2\modem\v42.dsp v42.old
copy mnp.dsp %1:\%2\modem
copy v42.dsp %1:\%2\modem
goto endit

:mwaveos2
ren          %1:\%2\dsp\mnp.dsp mnp.old
ren          %1:\%2\dsp\v42.dsp v42.old
copy mnp.dsp %1:\%2\dsp
copy v42.dsp %1:\%2\dsp
goto endit

:endit
